List API tokens
GET
/api-tokens
const url = 'https://api.warmup.social/api-tokens';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.warmup.social/api-tokens \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Active tokens of the current user (the secret value is never returned).
Media typeapplication/json
object
tokens
required
Array<object>
object
id
required
string format: uuid
name
required
string
prefix
required
Display prefix, e.g. wmp_a1b2.
string
lastUsedAt
required
string format: date-time
expiresAt
required
string format: date-time
createdAt
required
string format: date-time
Example
{ "tokens": [ { "prefix": "wmp_a1b2" } ]}The Bearer token is missing or invalid.
Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
Array<string>
object
key
additional properties
any
error
string
key
additional properties
any
Example
{ "statusCode": 400, "message": "Invalid request", "error": "Bad Request"}